#!/bin/sh

## xdg_config_dirs-hack.sh
## version 0.5

# force re-run of kbuildsycoca when/if a change in $XDG_CONFIG_DIRS 
# (from last envocation) is detected

# set to true or false for debug output
DEBUG=true


if [ -z "$XDG_CONFIG_DIRS" ]; then
  if [ -f /etc/kde/env/xdg-menu.sh ]; then
    . /etc/kde/env/xdg-menu.sh
  else
    XDG_CONFIG_DIRS=/etc/kde/xdg:/etc/xdg
    export XDG_CONFIG_DIRS
  fi
fi

if [ -z "$XDG_CONFIG_DIRS_OLD" -a -f "$HOME/.kde/env/xdg_config_dirs_old.sh" ]; then
  . $HOME/.kde/env/xdg_config_dirs_old.sh
fi

if [ "$XDG_CONFIG_DIRS" != "$XDG_CONFIG_DIRS_OLD" ]; then

  $DEBUG && echo "NOTICE: XDG_CONFIG_DIRS has changed since last login..."

  $DEBUG && echo "NOTICE: saving current XDG_CONFIG_DIRS value in $HOME/.kde/env/xdg_config_dirs_old.sh"
  mkdir -p $HOME/.kde/env
  echo "XDG_CONFIG_DIRS_OLD=$XDG_CONFIG_DIRS ;export XDG_CONFIG_DIRS_OLD" > $HOME/.kde/env/xdg_config_dirs_old.sh
  chmod +x $HOME/.kde/env/xdg_config_dirs_old.sh

  if [ -d $HOME/.config/menus ]; then
    BAK=$HOME/.config/menus.BAK-$(date +%Y%m%d)    
    if [ ! -d "$BAK" ]; then
      $DEBUG && echo "NOTICE: saving $HOME/.config/menus to $BAK"
      mv "$HOME/.config/menus" "$BAK"
    fi
  fi

  $DEBUG && echo "NOTICE: re-running kbuildsycoa"
  kbuildsycoca --noincremental

  $DEBUG && sleep 4

fi

